aboutsummaryrefslogtreecommitdiff
path: root/configure.sh
diff options
context:
space:
mode:
authorBruce Hill <bruce@stainless.com>2025-08-22 13:24:42 -0400
committerBruce Hill <bruce@stainless.com>2025-08-22 13:24:42 -0400
commitfe6da3015573079229a0da3166eb4b5f36520dbb (patch)
treefb9e45632256959f826cd35fdd7d75bcaf85fc90 /configure.sh
parent2d81f92fbadb0d60243cbcad7c4a5236815fdbbc (diff)
Update install process to use configuration script
Diffstat (limited to 'configure.sh')
-rw-r--r--configure.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/configure.sh b/configure.sh
new file mode 100644
index 0000000..13c3830
--- /dev/null
+++ b/configure.sh
@@ -0,0 +1,32 @@
+#!/bin/env bash
+
+error() {
+ printf "\033[31;1m%s\033[m\n" "$@"
+ exit 1
+}
+
+default_prefix='/usr/local'
+if echo "$PATH" | tr ':' '\n' | grep -qx "$HOME/.local/bin"; then
+ default_prefix="~/.local"
+fi
+
+printf '\033[1mChoose where to install bp (default: %s):\033[m ' "$default_prefix"
+read PREFIX
+if [ -z "$PREFIX" ]; then PREFIX="$default_prefix"; fi
+PREFIX="${PREFIX/#\~/$HOME}"
+
+if ! echo "$PATH" | tr ':' '\n' | grep -qx "$PREFIX/bin"; then
+ error "Your \$PATH does not include this prefix, so you won't be able to run tomo!" \
+ "Please put this in your .profile or .bashrc: export PATH=\"$PREFIX/bin:\$PATH\""
+fi
+
+if command -v doas >/dev/null; then
+ SUDO=doas
+else
+ SUDO=sudo
+fi
+
+cat <<END >config.mk
+PREFIX=$PREFIX
+SUDO=$SUDO
+END